{ pkgs, ... }:

{
  imports = [
    ./nginx.nix
  ];

  services.nginx.virtualHosts = {
    "element.crans.org" = {
      root = pkgs.element-web.override {
        conf = {
          default_server_config = {
            "m.homeserver" = {
              base_url = "https://crans.org";
              server_name = "crans.org";
            };
          };
          default_theme = "light";
          features = {
            feature_video_rooms = true;
            feature_group_calls = true;
            feature_element_call_video_rooms = true;
          };
        };
      };
    };
  };
}
